juzu.io

## Class AppendableStream

- java.lang.Object
- - juzu.io.AppendableStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, Stream, Stream.Char

      public class AppendableStream
      extends Object
      implements Stream.Char

  Implementation of the `Stream.Char` interface that uses an appendable delegate.
  Author:
    Julien Viet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface juzu.io.Stream

      `Stream.Binary, Stream.Char`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendableStream(Appendable delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream.Char` | `append(char c)`
    `Stream.Char` | `append(CharArray chars)`
    `Stream.Char` | `append(CharSequence s)`
    `Stream.Char` | `append(CharSequence csq, int start, int end)`
    `void` | `close()`
    `void` | `flush()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendableStream

          public AppendableStream(Appendable delegate)

  - ### Method Detail

    - #### append

          public Stream.Char append(char c)
                             throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream.Char`
      Throws:
        `IOException`

    - #### append

          public Stream.Char append(CharSequence s)
                             throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream.Char`
      Throws:
        `IOException`

    - #### append

          public Stream.Char append(CharSequence csq,
                           int start,
                           int end)
                             throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream.Char`
      Throws:
        `IOException`

    - #### append

          public Stream.Char append(CharArray chars)
                             throws IOException

      Specified by:
        `append` in interface `Stream.Char`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.